Page MenuHomePhabricator

Button option to 'choose all/none/reverse' for revdel
Closed, ResolvedPublic

Description

As an admin, I have to click each buttons when I want to perform revdels. It would be great to have a button to 'choose all/none/reverse' button or such.

Currently Korean Wikipedia is handling this via JavaScript (Screenshot F92777)

Details

Related Gerrit Patches:

Event Timeline

revi created this task.Mar 10 2015, 5:47 AM
revi raised the priority of this task from to Low.
revi updated the task description. (Show Details)
revi added a subscriber: revi.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 5:47 AM
Aklapper renamed this task from Make options to 'choose all' for revdel to Button option to 'choose all/none/reverse' for revdel.Mar 10 2015, 10:57 AM
Aklapper set Security to None.
revi updated the task description. (Show Details)May 31 2015, 6:39 AM
Legoktm added a subscriber: Legoktm.

There's already code in the Nuke extension to do this, it should be easy to copy it to core.

TTO added a subscriber: TTO.May 31 2015, 7:17 AM

Isn't the existing shift-click functionality enough, whoughl adding more UI clutter?

There are tablets, smartphones and other devices which don't have shift key.

lfaraone claimed this task.Dec 13 2015, 9:57 PM

Should this be implemented in JS, server-side, or both? (JS default with a server-side fallback)

JS seems fine for now given it's just an enhancement. Server-side would be nice, but that might be non-trivial?

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 7 2016, 9:02 PM

Change 264127 had a related patch set uploaded (by LFaraone):
Add links to toggle checkbox selections in Special:Log

https://gerrit.wikimedia.org/r/264127

Change 264127 merged by jenkins-bot:
Add links to toggle checkbox selections in Special:Log

https://gerrit.wikimedia.org/r/264127

+user-notice so projects are aware and can remove their JavaScript hacks.

Legoktm closed this task as Resolved.Jan 18 2016, 7:34 AM
Legoktm reopened this task as Open.Jan 18 2016, 7:40 AM

Patch only covered Special:Log, still need something for action=history.

Patch only covered Special:Log, still need something for action=history.

Which I'll send out shortly — just wanted to get something small done first :)

Change 264908 had a related patch set uploaded (by LFaraone):
Add toggle checkboxes to action=history

https://gerrit.wikimedia.org/r/264908

@lfaraone: just tested on test.wikipedia.org, I'm seeing these buttons on Special:Log even if no checkboxes are present (which is strange because even if I'm not allowed to revdel I should see the option to add/remove edit tags, now missing - possibly a regression?). BTW I wonder if the buttons could also apply to edit tags on history pages (right now the condition to be met is $user->isAllowed( 'deleterevision' ), this excludes non-sysops).

Hmmm. It doesn't appear when not-logged-in, but does appear when you're a user without administrator rights.

What role on testwiki lets you modify tags besides Admin? Edit Filter Manager doesn't exist on that wiki.

According to https://test.wikipedia.org/wiki/Special:ListGroupRights all users have the ability to change tags there. I know some other main projects also have the ability to tag edits for all users.

It turns out that the change-tags buttons and checkboxes are hidden through CSS on test.wikipedia. Sorry!

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 25 2016, 8:19 PM
Scott added a subscriber: Scott.Jan 27 2016, 3:15 PM

Change 264908 merged by jenkins-bot:
Add toggle checkboxes to action=history

https://gerrit.wikimedia.org/r/264908

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 13 2016, 11:17 PM
lfaraone closed this task as Resolved.Jan 29 2017, 10:12 PM